Subject: Re: [PATCH net-next] octeontx2: cn10k: fix RX flowid TCAM mask handling

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Jan 2026 10:12:46 -0800

On Fri, 16 Jan 2026 08:47:12 -0800 Alok Tiwari wrote:
> The RX flowid programming initializes the TCAM mask to all ones, but
> then overwrites it when clearing the MAC DA mask bits. This results
> in losing the intended initialization and may affect other match fields.
> 
> Update the code to clear the MAC DA bits using an AND operation, making
> the handling of mask[0] consistent with mask[1], where the field-specific
> bits are cleared after initializing the mask to ~0ULL.

In the future - if the code exists in Linus's tree the fix must have 
a Fixes tag and target net.